View Issue Details

IDProjectCategoryView StatusLast Update
0004415Slicer4Core: Segmentationpublic2017-09-09 11:51
ReporterlassoanAssigned Topinter 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSlicer 4.7.0 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.7.0 
Summary0004415: Make segmentation closed surface smoothing parameters easier to change
Description

Currently, to change labelmap->closed surface representation conversion's smoothing parameters, these steps need to be performed:

  • Switch to Segmentation module
  • Click Update button in Closed surface representation row
  • Click Binary labelmap -> Closed surface conversion rule
  • Edit Smoothing factor value
  • Click Convert

Smoothing factor should be easier to change in the segment editor (e.g., a slider and a button).

TagsNo tags attached.

Activities

lassoan

lassoan

2017-08-16 17:14

developer   ~0015052

See this discussion for some details on a user request: https://discourse.slicer.org/t/option-to-disable-smoothing-of-the-segment-surfaces-in-segment-editor/883/11

Suggestion is to add a checkbox to enable/disable smoothing.

pinter

pinter

2017-08-17 10:51

developer   ~0015055

How about this being an option to the button that shows/hides the surface?

Changing the button name and other things has been discussed here https://discourse.slicer.org/t/show-hide-segment-surface-in-3d-view/837/13, I can implement this together with these tasks:

  • Rename Create surface button (“Show 3D” ?)
  • Investigate slow show/hide of only the surface representation
  • Add button to Segment Editor to switch to Segmentations. Its name TBD. The tooltip should mention visibility options, import/export, conversion parameters. Maybe long-click for quick export?
pinter

pinter

2017-09-09 11:51

developer   ~0015095

Added smoothing parameter controls in Segment Editor widget as action of Show 3D button
https://github.com/Slicer/Slicer/commit/36fe64b16734c962156c5f574280a6fa7b9cccb6

Issue History

Date Modified Username Field Change
2017-08-16 16:14 lassoan New Issue
2017-08-16 16:14 lassoan Status new => assigned
2017-08-16 16:14 lassoan Assigned To => pinter
2017-08-16 17:14 lassoan Note Added: 0015052
2017-08-17 10:51 pinter Note Added: 0015055
2017-09-09 11:51 pinter Status assigned => resolved
2017-09-09 11:51 pinter Resolution open => fixed
2017-09-09 11:51 pinter Fixed in Version => Slicer 4.7.0
2017-09-09 11:51 pinter Note Added: 0015095